Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.serialize
Class ElementState

    java.lang.Object
      weblogic.apache.xml.serialize.ElementState

Deprecated. 9.2.0.0 Replaced by org.apache.xml.serialize.ElementState.

    public class ElementState

extends Object

Holds the state of the currently serialized element.

See Also:
  `BaseMarkupSerializer`

Field Summary
`boolean` | `afterComment` Deprecated. True if the last serialized node was a comment node.
`boolean` | `afterElement` Deprecated. True if the last serialized node was an element node.
`boolean` | `doCData` Deprecated. True if textual content of current element should be serialized as CDATA section.
`boolean` | `empty` Deprecated. True if element is empty.
`boolean` | `inCData` Deprecated. True while inside CData and printing text as CData.
`String` | `localName` Deprecated. The element's local tag name.
`String` | `namespaceURI` Deprecated. The element's namespace URI.
`Hashtable` | `prefixes` Deprecated. Association between namespace URIs (keys) and prefixes (values).
`boolean` | `preserveSpace` Deprecated. True if element is space preserving.
`String` | `rawName` Deprecated. The element's raw tag name (local or prefix:local).
`boolean` | `unescaped` Deprecated. True if textual content of current element should be serialized as raw characters (unescaped).

Constructor Summary
`ElementState()` Deprecated.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rawName

    public String rawName

  Deprecated.
  The element's raw tag name (local or prefix:local).

### localName

    public String localName

  Deprecated.
  The element's local tag name.

### namespaceURI

    public String namespaceURI

  Deprecated.
  The element's namespace URI.

### preserveSpace

    public boolean preserveSpace

  Deprecated.
  True if element is space preserving.

### empty

    public boolean empty

  Deprecated.
  True if element is empty. Turns false immediately after serializing the first contents of the element.

### afterElement

    public boolean afterElement

  Deprecated.
  True if the last serialized node was an element node.

### afterComment

    public boolean afterComment

  Deprecated.
  True if the last serialized node was a comment node.

### doCData

    public boolean doCData

  Deprecated.
  True if textual content of current element should be serialized as CDATA section.

### unescaped

    public boolean unescaped

  Deprecated.
  True if textual content of current element should be serialized as raw characters (unescaped).

### inCData

    public boolean inCData

  Deprecated.
  True while inside CData and printing text as CData.

### prefixes

    public Hashtable prefixes

  Deprecated.
  Association between namespace URIs (keys) and prefixes (values).

Constructor Detail

### ElementState

    public ElementState()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD